Bug 1564167 - Virtualization group need not list libvirt-client as optional, it's required by virt-install
Summary: Virtualization group need not list libvirt-client as optional, it's required ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 14:17 UTC by Robert P. J. Day
Modified: 2018-04-08 03:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-08 03:03:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert P. J. Day 2018-04-05 14:17:35 UTC
Pedantic nitpickery, but there's no point listing libvirt-client as an "optional" package for the Virtualization group, since it's required by the mandatory virt-install package, anyway:

$ rpm -qR virt-install
/bin/sh
/usr/bin/python2
libvirt-client
rpmlib(CompressedFileNames) <= 3.0.4-1
... snip ...

Comment 1 Kevin Fenzi 2018-04-07 19:35:32 UTC
Could you submit a PR at https://pagure.io/fedora-comps ?

Otherwise we will get to it at some point.

Comment 2 Robert P. J. Day 2018-04-07 20:11:27 UTC
(In reply to Kevin Fenzi from comment #1)
> Could you submit a PR at https://pagure.io/fedora-comps ?
> 
> Otherwise we will get to it at some point.

OK, I jumped through the requisite hoops over at pagure.io, you can let me know if I did it all properly.

Comment 3 Kevin Fenzi 2018-04-08 03:03:39 UTC
Looks good to me... merged. 

Thanks!


Note You need to log in before you can comment on or make changes to this bug.